This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746859 - Projects page: Sort by "Project Name" should sort by project name, not by project id
Projects page: Sort by "Project Name" should sort by project name, not by pro...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.1
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.2
  Show dependency treegraph
 
Reported: 2011-10-17 21:32 EDT by Ding-Yi Chen
Modified: 2011-12-01 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.2-SNAPSHOT (20111019-1122)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-10-17 21:32:52 EDT
Description of problem:
In projects page, clicking "Project Name" should really sort by project name,
however, current instance shows that the project list was sorted by project id.

Version-Release number of selected component (if applicable):
Zanata version 1.4.2-SNAPSHOT (20111017-1623)

How reproducible:
Always

Steps to Reproduce:
1. Create a project with project id "Readme", name "Fedora Readme"
2. Create a project with project id "35", name "Thirty Five"
3. Create a project with project id "Spacewalk", name "Spacewalk"
4. Click the table title "Project Name" to sort the project by name.

Actual results:
Projects were ordered as:
"Thirty Five" (35)
"Fedora Readme" (Readme)
"Spacewalk:     (Spacewalk)

Expected results:
Projects should be ordered as:
"Fedora Readme" (Readme)
"Spacewalk:     (Spacewalk)
"Thirty Five" (35)
Comment 2 Ding-Yi Chen 2011-10-18 23:21:35 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111019-1122)

Note You need to log in before you can comment on or make changes to this bug.